%global realname erlang_js
%global upstream basho


Name:		erlang-js
Version:	1.3.0
Release:	7%{?dist}
Summary:	A Friendly Erlang to Javascript Binding
Group:		Development/Libraries
License:	ASL 2.0
URL:		http://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
# Fedora-specific
Patch1:		erlang-js-0001-Fix-building-of-linked-in-driver.patch
# Sent upstream:
# https://github.com/basho/erlang_js/pull/32
Patch2:		erlang-js-0002-build-fix-for-js-1.8.5.patch
# Fedora-specific
Patch3:		erlang-js-0003-Use-mochiweb-instead-of-a-bundled-copies.patch
# Backported from upstream's master branch:
# https://github.com/basho/erlang_js/pull/46
Patch4:		erlang-js-0004-Replace-deprecated-driver_output_term-with-erl_drv_o.patch
# Sent upstream:
# https://github.com/basho/erlang_js/pull/49
# See also:
# https://github.com/basho/erlang_js/pull/50
# https://github.com/basho/erlang_js/pull/52
Patch5:		erlang-js-0005-Fix-R18-erlang-now-deprecation-warning.patch
# Backported from upstream's master (e.g. develop) branch
Patch6:		erlang-js-0006-The-function-argument-for-the-call-interface-must-be.patch
# Sent upstream:
# https://github.com/basho/erlang_js/pull/54
Patch7:		erlang-js-0007-Fix-incorrect-constant-on-return.patch
# Applies only for building against Erlang 18.3 and higher
Patch8:		erlang-js-0008-erl_exit-was-renamed-to-erts_exit-since-Erlang-18.3.patch
BuildRequires:	erlang-rebar
BuildRequires:	erlang-mochiweb
BuildRequires:	js-devel
%{?__erlang_drv_version:Requires: %{__erlang_drv_version}}


%description
A Friendly Erlang to Javascript Binding.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1 -b .bundled_libs

rm -f c_src/js-1.8.0-rc1.tar.gz
rm -f c_src/nsprpub-4.8.tar.gz

%patch2 -p1 -b .building_with_js_1_8_5
%patch3 -p1 -b .use_globally_available_mochiweb
%patch4 -p1 -b .fix_deprecated
%patch5 -p1 -b .r18
%patch6 -p1 -b .text_to_binary
%patch7 -p1 -b .wrong_ret
%patch8 -p1 -b .rename


%build
%{erlang_compile}


%install
%{erlang_install}
install -m 644 priv/json2.js $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv


%check
%{erlang_test}


%files
%license LICENSE
%doc README.org
%{erlang_appdir}/


%changelog
* Fri Apr 15 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-7
- Drop unneeded macro

* Fri Apr  1 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-6
- Rebuild with Erlang 18.3

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-4
- Added few more interesting patches

* Wed Jan 20 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-3
- Rebuild with Erlang 18.2.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Nov 16 2014 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-1
- Ver. 1.3.0

* Tue Nov 04 2014 Peter Lemenkov <lemenkov@gmail.com> - 1.2.2-8
- Rebuild with Erlang 17.3.3

* Thu Aug 28 2014 Peter Lemenkov <lemenkov@gmail.com> - 1.2.2-7
- Rebuild with Erlang 17.2.1

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 12 2014 Ville Skyttä <ville.skytta@iki.fi> - 1.2.2-5
- Use new erlang macros to build with $RPM_OPT/LD_FLAGS etc, verbosely

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Oct 25 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.2.2-3
- Rebuild with new __erlang_drv_version

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 10 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.2.2-1
- Ver. 1.2.2
- Dropped upstreamed patches

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Sep 23 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-2
- Fix failure during tests if built with js-1.7.0 (EL5 & EL6)

* Sat Sep 22 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Ver. 1.2.1
- Drop upstreamed patches

* Wed Sep 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-1
- Ver. 1.2.0

* Fri Jul 20 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0.2-4
- Fix building releases using rebar
- Fix dependencides (add _isa)
- Drop EL5-related stuff

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0.2-2
- Enable back building with js-1.7.0 (EL6)

* Thu Jul 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0.2-1
- Ver. 1.0.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Apr 13 2011 Martin Stransky <stransky@redhat.com> - 0.5.0-3
- build fix for js 1.8.5

* Fri Jan 28 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.5.0-2
- Drop unneeded runtime dependency on eunit

* Wed Jan  5 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.5.0-1
- Ver. 0.5.0

* Fri Sep 10 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.4-1
- Initial build
